# pandas.DatetimeIndex.unique

`DatetimeIndex.``unique`()

  Return unique values in the object. Uniques are returned in order of appearance, this does NOT sort. Hash table-based unique.

  Parameters: | values : 1d array-like

  Returns:

  unique values.

  > - If the input is an Index, the return is an Index
  > - If the input is a Categorical dtype, the return is a Categorical
  > - If the input is a Series/ndarray, the return will be an ndarray

  See also

  `unique`, `Index.unique`, `Series.unique`

Scroll To Top